<?php
  echo "<pre>"; // Umożliwia wywietlanie spacji

  // Dopełnienie do 15 miejsc
  printf("Rezultat wynosi $%15f\n", 123.42 / 12);

  // Dopełnienie do 15 miejsc, puste wypełnione zerami
  printf("Rezultat wynosi $%015f\n", 123.42 / 12);

  // Dopełnienie do 15 miejsc, dokładnoć do drugiego miejsca po przecinku
  printf("Rezultat wynosi $%15.2f\n", 123.42 / 12);

  // Dopełnienie do 15 miejsc, dokładnoć do drugiego miejsca po przecinku, puste wypełnione zerami
  printf("Rezultat wynosi $%015.2f\n", 123.42 / 12); 

  // Dopełnienie do 15 miejsc, dokładnoć do drugiego miejsca po przecinku, puste wypełnione znakami #
  printf("Rezultat wynosi $%'#15.2f\n", 123.42 / 12); 
?>
